<?xml version="1.0" encoding="UTF-8"?>
<example name="freertos" category="usb_examples/usb_device_video_virtual_camera" board_ref="FRDM_K64F" version="1.0.0" format_version="2.1">
  <source path="CMSIS/Include" target_path="CMSIS/Include" type="c_include">
    <files mask="arm_common_tables.h"/>
    <files mask="arm_const_structs.h"/>
    <files mask="arm_math.h"/>
    <files mask="cmsis_armcc.h"/>
    <files mask="cmsis_armcc_V6.h"/>
    <files mask="cmsis_gcc.h"/>
    <files mask="core_cm0.h"/>
    <files mask="core_cm0plus.h"/>
    <files mask="core_cm3.h"/>
    <files mask="core_cm4.h"/>
    <files mask="core_cm7.h"/>
    <files mask="core_cmFunc.h"/>
    <files mask="core_cmInstr.h"/>
    <files mask="core_cmSimd.h"/>
    <files mask="core_sc000.h"/>
    <files mask="core_sc300.h"/>
  </source>
  <source path="boards/frdmk64f/usb_examples/usb_device_video_virtual_camera/freertos" target_path="sources" type="c_include">
    <files mask="FreeRTOSConfig.h"/>
    <files mask="board.h"/>
    <files mask="clock_config.h"/>
    <files mask="pin_mux.h"/>
    <files mask="usb_device_ch9.h"/>
    <files mask="usb_device_class.h"/>
    <files mask="usb_device_config.h"/>
    <files mask="usb_device_descriptor.h"/>
    <files mask="usb_device_video.h"/>
    <files mask="video_data.h"/>
    <files mask="virtual_camera.h"/>
  </source>
  <source path="boards/frdmk64f/usb_examples/usb_device_video_virtual_camera/freertos" target_path="sources" type="src">
    <files mask="board.c"/>
    <files mask="clock_config.c"/>
    <files mask="pin_mux.c"/>
    <files mask="usb_device_ch9.c"/>
    <files mask="usb_device_class.c"/>
    <files mask="usb_device_descriptor.c"/>
    <files mask="usb_device_video.c"/>
    <files mask="video_data.c"/>
    <files mask="virtual_camera.c"/>
  </source>
  <source path="devices/MK64F12/arm" target_path="devices/arm" type="src" compiler="arm">
    <files mask="startup_MK64F12.s"/>
  </source>
  <source path="devices/MK64F12/drivers" target_path="drivers" type="c_include">
    <files mask="fsl_clock.h"/>
    <files mask="fsl_common.h"/>
    <files mask="fsl_flash.h"/>
    <files mask="fsl_gpio.h"/>
    <files mask="fsl_port.h"/>
    <files mask="fsl_sim.h"/>
    <files mask="fsl_smc.h"/>
    <files mask="fsl_sysmpu.h"/>
    <files mask="fsl_uart.h"/>
  </source>
  <source path="devices/MK64F12/drivers" target_path="drivers" type="src">
    <files mask="fsl_clock.c"/>
    <files mask="fsl_common.c"/>
    <files mask="fsl_flash.c"/>
    <files mask="fsl_gpio.c"/>
    <files mask="fsl_sim.c"/>
    <files mask="fsl_smc.c"/>
    <files mask="fsl_sysmpu.c"/>
    <files mask="fsl_uart.c"/>
  </source>
  <source path="devices/MK64F12/gcc" target_path="devices/gcc" type="src" compiler="gcc">
    <files mask="startup_MK64F12.S"/>
  </source>
  <source path="devices/MK64F12/iar" target_path="devices/iar" type="src" compiler="iar">
    <files mask="startup_MK64F12.s"/>
  </source>
  <source path="devices/MK64F12/utilities" target_path="utilities" type="c_include">
    <files mask="fsl_debug_console.h"/>
  </source>
  <source path="devices/MK64F12/utilities" target_path="utilities" type="src">
    <files mask="fsl_debug_console.c"/>
    <files mask="fsl_sbrk.c"/>
  </source>
  <source path="devices/MK64F12" target_path="devices" type="c_include">
    <files mask="MK64F12.h"/>
    <files mask="MK64F12_features.h"/>
    <files mask="fsl_device_registers.h"/>
    <files mask="system_MK64F12.h"/>
  </source>
  <source path="devices/MK64F12" target_path="devices" type="src">
    <files mask="system_MK64F12.c"/>
  </source>
  <source path="middleware/usb_1.6.3/device" target_path="usb/device" type="c_include">
    <files mask="usb_device.h"/>
    <files mask="usb_device_dci.h"/>
    <files mask="usb_device_khci.h"/>
  </source>
  <source path="middleware/usb_1.6.3/device" target_path="usb/device" type="src">
    <files mask="usb_device_dci.c"/>
    <files mask="usb_device_khci.c"/>
  </source>
  <source path="middleware/usb_1.6.3/include" target_path="usb/include" type="c_include">
    <files mask="usb.h"/>
    <files mask="usb_khci.h"/>
    <files mask="usb_misc.h"/>
    <files mask="usb_spec.h"/>
  </source>
  <source path="middleware/usb_1.6.3/osa" target_path="usb/osa" type="c_include">
    <files mask="usb_osa.h"/>
    <files mask="usb_osa_freertos.h"/>
  </source>
  <source path="middleware/usb_1.6.3/osa" target_path="usb/osa" type="src">
    <files mask="usb_osa_freertos.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/include" target_path="freertos/Source/include" type="c_include">
    <files mask="FreeRTOS.h"/>
    <files mask="StackMacros.h"/>
    <files mask="croutine.h"/>
    <files mask="deprecated_definitions.h"/>
    <files mask="event_groups.h"/>
    <files mask="freertos_tasks_c_additions.h"/>
    <files mask="list.h"/>
    <files mask="mpu_wrappers.h"/>
    <files mask="portable.h"/>
    <files mask="projdefs.h"/>
    <files mask="queue.h"/>
    <files mask="semphr.h"/>
    <files mask="task.h"/>
    <files mask="timers.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/GCC/ARM_CM4F" target_path="freertos/Source/portable/GCC/ARM_CM4F" type="c_include" compiler="gcc">
    <files mask="fsl_tickless_generic.h"/>
    <files mask="portmacro.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/GCC/ARM_CM4F" target_path="freertos/Source/portable/GCC/ARM_CM4F" type="src" compiler="gcc">
    <files mask="fsl_tickless_systick.c"/>
    <files mask="port.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/IAR/ARM_CM4F" target_path="freertos/Source/portable/IAR/ARM_CM4F" type="c_include" compiler="iar">
    <files mask="fsl_tickless_generic.h"/>
    <files mask="portmacro.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/IAR/ARM_CM4F" target_path="freertos/Source/portable/IAR/ARM_CM4F" type="src" compiler="iar">
    <files mask="fsl_tickless_systick.c"/>
    <files mask="port.c"/>
    <files mask="portasm.s"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/MemMang" target_path="freertos/Source/portable/MemMang" type="src">
    <files mask="heap_4.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/RVDS/ARM_CM4F" target_path="freertos/Source/portable/RVDS/ARM_CM4F" type="c_include" compiler="arm">
    <files mask="fsl_tickless_generic.h"/>
    <files mask="portmacro.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/RVDS/ARM_CM4F" target_path="freertos/Source/portable/RVDS/ARM_CM4F" type="src" compiler="arm">
    <files mask="fsl_tickless_systick.c"/>
    <files mask="port.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source" target_path="freertos/Source" type="src">
    <files mask="croutine.c"/>
    <files mask="event_groups.c"/>
    <files mask="list.c"/>
    <files mask="queue.c"/>
    <files mask="tasks.c"/>
    <files mask="timers.c"/>
  </source>
  <include_paths>
    <include path="CMSIS/Include"/>
    <include path="devices"/>
    <include path="drivers"/>
    <include path="freertos/Source/include"/>
    <include path="freertos/Source/portable/GCC/ARM_CM4F" compiler="gcc"/>
    <include path="freertos/Source/portable/IAR/ARM_CM4F" compiler="iar"/>
    <include path="freertos/Source/portable/RVDS/ARM_CM4F" compiler="arm"/>
    <include path="freertos/Source"/>
    <include path="sources"/>
    <include path="usb/device"/>
    <include path="usb/include"/>
    <include path="usb/osa"/>
    <include path="utilities"/>
  </include_paths>
</example>
